Bug 521421 - Hibernate causes an NMI
Summary: Hibernate causes an NMI
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-05 17:39 UTC by Nathan Kohagen
Modified: 2010-06-28 14:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:29:53 UTC


Attachments (Terms of Use)

Description Nathan Kohagen 2009-09-05 17:39:59 UTC
About a week ago I started receiving the following message:
"Uhhuh. NMI received for unknown reason b0 on CPU 0."

Power cycling the box was the only way to get out of it.

At first I thought it was hardware problem, but memtest86 returned no errors.

Every time this happened the following message was logged:
"kernel: end_request: I/O error, dev fd0, sector 0"

I grep'ed /var/log/* for the same time stamp of the above message and found matches in pm-suspend.log:

Initial commandline parameters: 
Sat Sep  5 03:35:12 PDT 2009: Running hooks for hibernate.
/usr/lib/pm-utils/sleep.d/00auto-quirk hibernate hibernate: Adding quirks from HAL: --quirk-dpms-on --quirk-dpms-suspend --quirk-vbe-post --quirk-vbemode-restore --quirk-vbestate-restore --quirk-vga-mode-3 
success.
/usr/lib/pm-utils/sleep.d/00logging hibernate hibernate: Linux xeon 2.6.30.5-32.fc11.i586 #1 SMP Mon Aug 17 16:21:07 EDT 2009 i686 i686 i386 GNU/Linux
Module                  Size  Used by
fuse                   55260  2 
autofs4                23788  3 
sunrpc                171072  1 
nf_conntrack_netbios_ns     2204  0 
ip6t_REJECT             4692  2 
ip6t_ipv6header         1948  2 
nf_conntrack_ipv6      18828  14 
ip6table_filter         3340  1 
ip6_tables             11664  2 ip6t_ipv6header,ip6table_filter
ipv6                  258416  56 ip6t_REJECT,nf_conntrack_ipv6
p4_clockmod             4592  1 
dm_multipath           15056  0 
raid1                  20140  1 
ppdev                   6848  0 
snd_intel8x0           29700  3 
snd_ac97_codec        100312  1 snd_intel8x0
nvidia               7087776  24 
ac97_bus                1564  1 snd_ac97_codec
snd_pcm                69240  3 snd_intel8x0,snd_ac97_codec
snd_timer              19404  1 snd_pcm
snd                    55104  9 snd_intel8x0,snd_ac97_codec,snd_pcm,snd_timer
pcspkr                  2380  0 
serio_raw               5552  0 
soundcore               5920  1 snd
parport_pc             23744  0 
parport                31204  2 ppdev,parport_pc
snd_page_alloc          8244  2 snd_intel8x0,snd_pcm
tg3                    96900  0 
i2c_i801               10676  0 
iTCO_wdt               10872  0 
iTCO_vendor_support     2976  1 iTCO_wdt
floppy                 50300  0 
i2c_core               27040  2 nvidia,i2c_i801
mptspi                 16724  2 
mptscsih               28592  1 mptspi
mptbase                67620  2 mptspi,mptscsih
scsi_transport_spi     20516  1 mptspi
             total       used       free     shared    buffers     cached
Mem:       2062148    1924060     138088          0     254972    1053972
-/+ buffers/cache:     615116    1447032
Swap:            0          0          0
success.
/usr/lib/pm-utils/sleep.d/00powersave hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/01grub hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/49bluetooth hibernate hibernate: not applicable.
/usr/lib/pm-utils/sleep.d/55NetworkManager hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/56atd hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/56dhclient hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/75modules hibernate hibernate: not applicable.
/usr/lib/pm-utils/sleep.d/90clock hibernate hibernate: not applicable.
/usr/lib/pm-utils/sleep.d/94cpufreq hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/95led hibernate hibernate: not applicable.
/usr/lib/pm-utils/sleep.d/95packagekit hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/98smart-kernel-video hibernate hibernate: success.
/usr/lib/pm-utils/sleep.d/99hd-apm-restore.hook hibernate hibernate: Advanced Power Management not supported by device sdb.
Advanced Power Management not supported by device sda.
 HDIO_DRIVE_CMD(identify) failed: Invalid exchange
Advanced Power Management not supported by device sdc.
success.
/usr/lib/pm-utils/sleep.d/99video hibernate hibernate: success.
Sat Sep  5 03:35:14 PDT 2009: performing hibernate


The log says the disks are not hibernating correctly.

I updated Gnome Power Manager a day or two before I saw the first NMI message. 

It would be good to get to the root cause, but at this point a work around would be great - selecting "never" in Gnome Power Manager does not fix this. 

Which kernel boot parameters do set in grub to completely disable hibernate?

This is happening with kernel 2.6.30.5-32.fc11.i586.

Comment 1 Bug Zapper 2010-04-28 10:11:46 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:29:53 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.